Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class CommentDataReader

    java.lang.Object
      info.bioinfweb.treegraph.document.io.newick.CommentDataReader

    public class CommentDataReader

extends Object

Reads hidden node data from a comment in a Newick string like it is generated by BEAST.

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary
`static char` | `ALLOCATION_SEPARATOR_SYMBOL`
`static char` | `ALLOCATION_SYMBOL`
`static char` | `FIELD_END_SYMBOL`
`static char` | `FIELD_START_SYMBOL`
`static char` | `INDEX_END_SYMBOL`
`static char` | `INDEX_START_SYMBOL`
`static char` | `START_SYMBOL`
`static char` | `VALUE_SEPARATOR_SYMBOL`

Constructor Summary
`CommentDataReader()`

Method Summary
`private int` | `findAllocationEnd(String text, int start)`
`private int` | `findFieldEnd(String text, int pos)`
`void` | `read(String comment, Node node)`
`private TextElementData` | `readTextElementData(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_SYMBOL

    public static final char START_SYMBOL

See Also:
  Constant Field Values

### ALLOCATION_SEPARATOR_SYMBOL

    public static final char ALLOCATION_SEPARATOR_SYMBOL

See Also:
  Constant Field Values

### ALLOCATION_SYMBOL

    public static final char ALLOCATION_SYMBOL

See Also:
  Constant Field Values

### FIELD_START_SYMBOL

    public static final char FIELD_START_SYMBOL

See Also:
  Constant Field Values

### FIELD_END_SYMBOL

    public static final char FIELD_END_SYMBOL

See Also:
  Constant Field Values

### VALUE_SEPARATOR_SYMBOL

    public static final char VALUE_SEPARATOR_SYMBOL

See Also:
  Constant Field Values

### INDEX_START_SYMBOL

    public static final char INDEX_START_SYMBOL

See Also:
  Constant Field Values

### INDEX_END_SYMBOL

    public static final char INDEX_END_SYMBOL

See Also:
  Constant Field Values

Constructor Detail

### CommentDataReader

    public CommentDataReader()

Method Detail

### readTextElementData

    private TextElementData readTextElementData(String text)

### findFieldEnd

    private int findFieldEnd(String text,
                             int pos)

### findAllocationEnd

    private int findAllocationEnd(String text,
                                  int start)

### read

    public void read(String comment,
                     Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD